.. _vim.event.HostDisconnectedEvent: ../../../vim/event/HostDisconnectedEvent.rst

.. _vim.event.HostDisconnectedEvent.ReasonCode: ../../../vim/event/HostDisconnectedEvent/ReasonCode.rst

vim.event.HostDisconnectedEvent.ReasonCode
==========================================
  :contained by: `vim.event.HostDisconnectedEvent`_

  :type: `vim.event.HostDisconnectedEvent.ReasonCode`_

  :name: vcVRAMCapacityExceeded

values:
--------

vcVRAMCapacityExceeded
   The vRAM capacity of vCenter will be exceeded

sslThumbprintVerifyFailed
   Failed to verify SSL thumbprint

unknown
   Unknown reason

agentOutOfDate
   Agent is out of date

insufficientLicenses
   License not available after host upgrade

agentUpgrade
   Agent is being upgraded

licenseExpired
   License expired for the host

passwordDecryptFailure
   Failed to decrypt password

userRequest
   User requested disconnect
